.database {
    margin-top: 0;
}

.entries-header {
    display: grid;
    grid-template-columns: 1fr auto;
    padding: 8px 10px;
    border-bottom: 1px solid var(--line);
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.entries-header button {
    display: flex;
    align-items: center;
    justify-self: start;
    gap: 3px;
    background: none;
    border: none;
    padding: 0;
    color: var(--muted);
    text-transform: uppercase;
    font-family: "Fraunces", serif;
    font-size: var(--fs-regular);
    font-weight: 600;
    /*cursor: pointer;*/
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.entries-header button:active {
    transition: none;
    transform: translateY(3px);
}

.entries-header button:hover {
    color: var(--accent);
}

.sort-arrow {
    font-variation-settings:
        "FILL" 1,
        "wght" 600,
        "GRAD" 0,
        "opsz" 20;
    opacity: 0.2;
    transform: scale(0.75);
    color: var(--muted);
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.sort-arrow.active {
    opacity: 1;
    color: var(--accent);
}

.sort-arrow.asc {
    transform: scale(0.75) rotate(180deg);
}

.entries {
    display: flex;
    flex-direction: column;
}

.entry {
    position: relative;
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    padding: 10px 10px;
    border-bottom: 1px solid var(--line);
    color: var(--text);
    text-decoration: none;
    font-family: "Fraunces", serif;
    font-size: var(--fs-regular);
    transition:
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.entry[hidden] {
    display: none;
}

.entry::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: -1.2px;
    height: 1.3px;
    background: linear-gradient(to right, transparent 0%, var(--accent) 30%, var(--accent) 70%, transparent 100%);
    transform: scaleX(0);
    transition: transform var(--transition-time) ease;
}

.entry:hover {
    border-color: transparent;
}

.entry:hover::before {
    transform: scaleX(1);
}

.entry:hover .date,
.entry:hover .number {
    color: var(--accent);
}

.entry:hover .date,
.entry:hover .number,
.entry:hover .name {
    font-weight: 700;
}

.entry .name {
    overflow: hidden;
    color: var(--text);
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-right: 20px;
    font-size: var(--fs-regular);
    font-family: "Fraunces", serif;
    transition:
        font-weight var(--transition-time) ease,
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.entry .number {
    color: var(--muted);
    font-size: var(--fs-regular);
    font-family: "Fraunces", serif;
    transition:
        font-weight var(--transition-time) ease,
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.entry .date {
    color: var(--muted);
    font-size: var(--fs-regular);
    font-weight: normal;
    white-space: nowrap;
    font-family: "Fraunces", serif;
    transition:
        font-weight var(--transition-time) ease,
        color var(--transition-time) ease,
        opacity var(--transition-time) ease,
        transform var(--transition-time) ease,
        border-color var(--transition-time) ease,
        background-color var(--transition-time) ease;
}

.entries:empty::after {
    content: "No fragments recorded yet.";
    display: block;
    padding: 40px 15px;
    color: var(--muted);
    font-style: italic;
    text-align: center;
}
